import { renderless, api } from "@dft-vue-2-opentiny/vue-renderless/radio-button/vue";
import { defineComponent, props, setup as _setup } from "@dft-vue-2-opentiny/vue-common";
import { iconHelpCircle } from "@dft-vue-2-opentiny/vue-icon";
import Tooltip from "@dft-vue-2-opentiny/vue-tooltip";
function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  if (functionalTemplate) {
    options.functional = true;
  }
  if (scopeId) {
    options._scopeId = "data-v-" + scopeId;
  }
  var hook;
  if (moduleIdentifier) {
    hook = function hook2(context) {
      context = context || // cached call
      this.$vnode && this.$vnode.ssrContext || // stateful
      this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext;
      if (!context && typeof __VUE_SSR_CONTEXT__ !== "undefined") {
        context = __VUE_SSR_CONTEXT__;
      }
      if (injectStyles) {
        injectStyles.call(this, context);
      }
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    };
    options._ssrRegister = hook;
  } else if (injectStyles) {
    hook = shadowMode ? function() {
      injectStyles.call(this, (options.functional ? this.parent : this).$root.$options.shadowRoot);
    } : injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  emits: ["change"],
  props: [].concat(props, ["label", "events", "text", "disabled", "name", "tipContent"]),
  components: {
    TinyTooltip: Tooltip,
    IconHelpCircle: iconHelpCircle()
  },
  inheritAttrs: false,
  setup: function setup(props2, context) {
    return _setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("label", {
    class: ["relative outline-0 inline-flex rounded-none cursor-pointer items-center [&:first-of-type_span]:border-l-0.5 sm:[&:first-of-type_span]:border-l [&:first-of-type_span]:rounded-l-sm [&:last-of-type_span]:rounded-r-sm", _vm.state.size === "small" ? "sm:h-6 h-10 text-xs" : "sm:h-7 sm:leading-7 h-11 leading-[2.75rem] text-sm sm:text-xs", !_vm.disabled && !_vm.state.radioGroup.disabled && _vm.state.value === _vm.label && "sm:[&:not(:first-of-type)_span]:shadow-[-1px_0_0_0_#0067D1] [&:not(:first-of-type)_span]:shadow-[-0.5px_0_0_0_#0067D1]"],
    attrs: {
      "role": "radio",
      "aria-checked": _vm.state.value === _vm.label,
      "aria-disabled": _vm.state.isDisabled,
      "tabindex": _vm.state.tabIndex
    },
    on: {
      "keydown": function keydown($event) {
        if (!$event.type.indexOf("key") && _vm._k($event.keyCode, "space", 32, $event.key, [" ", "Spacebar"]))
          return null;
        $event.stopPropagation();
        $event.preventDefault();
        return _vm.keydownHandle($event);
      }
    }
  }, [_c("input", {
    directives: [{
      name: "model",
      rawName: "v-model",
      value: _vm.state.value,
      expression: "state.value"
    }],
    ref: "radio",
    staticClass: "opacity-0 outline-0 absolute -z-10",
    attrs: {
      "type": "radio",
      "name": _vm.name,
      "disabled": _vm.state.isDisabled,
      "tabindex": "-1"
    },
    domProps: {
      "value": _vm.label,
      "checked": _vm._q(_vm.state.value, _vm.label)
    },
    on: {
      "change": [function($event) {
        return _vm.$set(_vm.state, "value", _vm.label);
      }, _vm.handleChange],
      "focus": _vm.handleFocus,
      "blur": _vm.handleBlur
    }
  }), _c("span", {
    class: _vm.m("relative sm:border-y border-y-0.5 sm:border-r border-r-0.5 border-solid inline-block leading-5 items-center min-w-[2.5rem] max-w-[4.875rem] sm:min-w-[3rem] sm:max-w-[9rem] text-center overflow-hidden text-ellipsis whitespace-nowrap py-[0.1875rem] px-3 cursor-pointer border-color-border box-border", _vm.state.radioGroup.disabled && _vm.state.value === _vm.label && "text-color-bg-1 bg-color-brand-disabled border-y-0 cursor-not-allowed border-transparent shadow-none", _vm.state.radioGroup.disabled && _vm.state.value !== _vm.label && "bg-color-bg-4 cursor-not-allowed border-color-border-disabled text-color-text-disabled", _vm.disabled && !_vm.state.radioGroup.disabled && "text-color-text-disabled bg-none cursor-not-allowed", _vm.state.value === _vm.label && !_vm.disabled && !_vm.state.radioGroup.disabled && "border-color-border-focus text-color-brand-focus", _vm.state.value !== _vm.label && !_vm.disabled && !_vm.state.radioGroup.disabled && "text-color-text-secondary hover:text-color-brand-hover active:text-color-brand", _vm.state.size === "small" ? "sm:h-6 py-px px-2 h-[1.4375rem]" : "sm:h-7 h-[1.6875rem]", _vm.state.showTips && "sm:pr-7"),
    on: {
      "keydown": function keydown($event) {
        $event.stopPropagation();
      }
    }
  }, [_vm._t("default"), !_vm.slots.default ? [_vm._v(_vm._s(_vm.text || _vm.label) + " "), _vm.state.showTips ? _c("tiny-tooltip", {
    staticClass: "sm:block hidden",
    attrs: {
      "effect": "light",
      "content": _vm.tipContent,
      "placement": "top"
    }
  }, [_c("IconHelpCircle", {
    staticClass: "absolute right-3 top-1.5 bottom-1.5 text-sm cursor-pointer w-3.5 h-3.5 fill-color-border hover:fill-color-brand-focus"
  })], 1) : _vm._e()] : _vm._e()], 2)]);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles, null, null, null);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var mobileFirst = /* @__PURE__ */ function() {
  return __component__.exports;
}();
export {
  mobileFirst as default
};
