import { renderless, api } from "@dft-vue-2-opentiny/vue-renderless/radio-button/vue";
import { defineComponent, props, setup as _setup } from "@dft-vue-2-opentiny/vue-common";
function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  if (functionalTemplate) {
    options.functional = true;
  }
  if (scopeId) {
    options._scopeId = "data-v-" + scopeId;
  }
  var hook;
  if (moduleIdentifier) {
    hook = function hook2(context) {
      context = context || // cached call
      this.$vnode && this.$vnode.ssrContext || // stateful
      this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext;
      if (!context && typeof __VUE_SSR_CONTEXT__ !== "undefined") {
        context = __VUE_SSR_CONTEXT__;
      }
      if (injectStyles) {
        injectStyles.call(this, context);
      }
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    };
    options._ssrRegister = hook;
  } else if (injectStyles) {
    hook = shadowMode ? function() {
      injectStyles.call(this, (options.functional ? this.parent : this).$root.$options.shadowRoot);
    } : injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  emits: ["change"],
  props: [].concat(props, ["label", "events", "text", "disabled", "name"]),
  setup: function setup(props2, context) {
    return _setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("label", {
    staticClass: "tiny-radio-button",
    class: [_vm.state.size ? "tiny-radio-button--" + _vm.state.size : "", {
      "is-active": _vm.state.value === _vm.label
    }, {
      "is-disabled": _vm.state.isDisabled
    }, {
      "is-focus": _vm.state.focus
    }],
    attrs: {
      "role": "radio",
      "aria-checked": _vm.state.value === _vm.label,
      "aria-disabled": _vm.state.isDisabled,
      "tabindex": _vm.state.tabIndex
    },
    on: {
      "keydown": function keydown($event) {
        if (!$event.type.indexOf("key") && _vm._k($event.keyCode, "space", 32, $event.key, [" ", "Spacebar"]))
          return null;
        $event.stopPropagation();
        $event.preventDefault();
        _vm.state.value = _vm.state.isDisabled ? _vm.state.value : _vm.label;
      }
    }
  }, [_c("input", {
    directives: [{
      name: "model",
      rawName: "v-model",
      value: _vm.state.value,
      expression: "state.value"
    }],
    ref: "radio",
    staticClass: "tiny-radio-button__orig-radio",
    attrs: {
      "type": "radio",
      "name": _vm.name,
      "disabled": _vm.state.isDisabled,
      "tabindex": "-1"
    },
    domProps: {
      "value": _vm.label,
      "checked": _vm._q(_vm.state.value, _vm.label)
    },
    on: {
      "change": [function($event) {
        return _vm.$set(_vm.state, "value", _vm.label);
      }, _vm.handleChange],
      "focus": function focus($event) {
        _vm.state.focus = true;
      },
      "blur": function blur($event) {
        _vm.state.focus = false;
      }
    }
  }), _c("span", {
    staticClass: "tiny-radio-button__inner",
    style: _vm.state.value === _vm.label ? _vm.state.activeStyle : void 0,
    on: {
      "keydown": function keydown($event) {
        $event.stopPropagation();
      }
    }
  }, [_vm._t("default"), !_vm.slots.default ? [_vm._v(_vm._s(_vm.text || _vm.label))] : _vm._e()], 2)]);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles, null, null, null);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var pc = /* @__PURE__ */ function() {
  return __component__.exports;
}();
export {
  pc as default
};
